package com.example.gajz.transferrelationship.thread;
import com.baidu.hugegraph.driver.GraphManager;
import com.baidu.hugegraph.driver.HugeClient;
import com.baidu.hugegraph.structure.graph.Vertex;
import com.example.gajz.transferrelationship.bean.vo.TransferredPersonVo;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * 导入转账关系13号线程
 * @author lenovo
 */
public class TransferAccountsThirteen implements Runnable {

    List<TransferredPersonVo> transferList;

    public void TransferAccountsThirteenList(List<TransferredPersonVo> transferCollectionList){
        this.transferList=transferCollectionList;
    }

    @Override
    public void run() {
        SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        System.out.println("线程13开始"+df.format(new Date()));
        HugeClient hugeClient = HugeClient.builder("http://36.148.1.253:8289","hugegraph2")
                /*** 默认未开启用户权限*/
                .configUser("**", "**")
                .build();
        GraphManager graph = hugeClient.graph();
        for (int i=0;i<transferList.size();i++){
            Vertex transferor = graph.getVertex(transferList.get(i).getBankCardNo());
            Vertex payee = graph.getVertex(transferList.get(i).getEndCardNo());
            //创建转账关系
            transferor.addEdge("多人转账", payee,  "转账次数", transferList.get(i).getNumber());
        }
        hugeClient.close();
        System.out.println("线程13结束"+df.format(new Date()));
    }
}
